Loading...
Searching...
No Matches
ON_EarthAnchorPoint Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h>`

## Public Member Functions

| ON_EarthAnchorPoint ()
| ~ON_EarthAnchorPoint ()
void | Default ()
bool | Read (ON_BinaryArchive &)
bool | Write (ON_BinaryArchive &) const
bool | GetModelCompass (ON_Plane &model_compass) const
bool | GetModelToEarthXform (const ON_UnitSystem &model_unit_system, ON_Xform &model_to_earth) const

## Static Public Member Functions

static int | Compare (const ON_EarthAnchorPoint *, const ON_EarthAnchorPoint *)
static int | CompareEarthLocation (const ON_EarthAnchorPoint *, const ON_EarthAnchorPoint *)
static int | CompareModelDirection (const ON_EarthAnchorPoint *, const ON_EarthAnchorPoint *)
static int | CompareIdentification (const ON_EarthAnchorPoint *, const ON_EarthAnchorPoint *)

## Public Attributes

double | m_earth_basepoint_latitude
double | m_earth_basepoint_longitude
double | m_earth_basepoint_elevation
int | m_earth_basepoint_elevation_zero
ON_3dPoint | m_model_basepoint
ON_3dVector | m_model_north
ON_3dVector | m_model_east
ON_UUID | m_id
ON_wString | m_name
ON_wString | m_description
ON_wString | m_url
ON_wString | m_url_tag

## Detailed Description

Definition at line 647 of file opennurbs_3dm_settings.h.

## Constructor & Destructor Documentation

## ON_EarthAnchorPoint()

ON_EarthAnchorPoint::ON_EarthAnchorPoint | ( |  | ) |

## ~ON_EarthAnchorPoint()

ON_EarthAnchorPoint::~ON_EarthAnchorPoint | ( |  | ) |

## Member Function Documentation

## Compare()

static int ON_EarthAnchorPoint::Compare | ( | const ON_EarthAnchorPoint * | ,
|  | const ON_EarthAnchorPoint * |
| ) |  |

static

## CompareEarthLocation()

static int ON_EarthAnchorPoint::CompareEarthLocation | ( | const ON_EarthAnchorPoint * | ,
|  | const ON_EarthAnchorPoint * |
| ) |  |

static

## CompareIdentification()

static int ON_EarthAnchorPoint::CompareIdentification | ( | const ON_EarthAnchorPoint * | ,
|  | const ON_EarthAnchorPoint * |
| ) |  |

static

## CompareModelDirection()

static int ON_EarthAnchorPoint::CompareModelDirection | ( | const ON_EarthAnchorPoint * | ,
|  | const ON_EarthAnchorPoint * |
| ) |  |

static

## Default()

void ON_EarthAnchorPoint::Default | ( |  | ) |

## GetModelCompass()

bool ON_EarthAnchorPoint::GetModelCompass | ( | ON_Plane & | model_compass | ) | const

## GetModelToEarthXform()

bool ON_EarthAnchorPoint::GetModelToEarthXform | ( | const ON_UnitSystem & | model_unit_system,
|  | ON_Xform & | model_to_earth
| ) |  | const

## Read()

bool ON_EarthAnchorPoint::Read | ( | ON_BinaryArchive & |  | ) |

## Write()

bool ON_EarthAnchorPoint::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_description

ON_wString ON_EarthAnchorPoint::m_description

Definition at line 702 of file opennurbs_3dm_settings.h.

## m_earth_basepoint_elevation

double ON_EarthAnchorPoint::m_earth_basepoint_elevation

Definition at line 687 of file opennurbs_3dm_settings.h.

## m_earth_basepoint_elevation_zero

int ON_EarthAnchorPoint::m_earth_basepoint_elevation_zero

Definition at line 688 of file opennurbs_3dm_settings.h.

## m_earth_basepoint_latitude

double ON_EarthAnchorPoint::m_earth_basepoint_latitude

Definition at line 685 of file opennurbs_3dm_settings.h.

## m_earth_basepoint_longitude

double ON_EarthAnchorPoint::m_earth_basepoint_longitude

Definition at line 686 of file opennurbs_3dm_settings.h.

## m_id

ON_UUID ON_EarthAnchorPoint::m_id

Definition at line 700 of file opennurbs_3dm_settings.h.

## m_model_basepoint

ON_3dPoint ON_EarthAnchorPoint::m_model_basepoint

Definition at line 693 of file opennurbs_3dm_settings.h.

## m_model_east

ON_3dVector ON_EarthAnchorPoint::m_model_east

Definition at line 697 of file opennurbs_3dm_settings.h.

## m_model_north

ON_3dVector ON_EarthAnchorPoint::m_model_north

Definition at line 696 of file opennurbs_3dm_settings.h.

## m_name

ON_wString ON_EarthAnchorPoint::m_name

Definition at line 701 of file opennurbs_3dm_settings.h.

## m_url

ON_wString ON_EarthAnchorPoint::m_url

Definition at line 703 of file opennurbs_3dm_settings.h.

## m_url_tag

ON_wString ON_EarthAnchorPoint::m_url_tag

Definition at line 704 of file opennurbs_3dm_settings.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h